Media
Import a project media asset from a URL
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= length- body
url*stringLength
1 <= length <= 2048Response for status 201
application/json- response
status*stringValue in
"ready""failed"media*curl -X POST 'https://postbot.example/api/projects/string/media/imports/url' \
-H 'Content-Type: application/json' \
-d '{
"url": "string"
}'Example Response
{
"status": "ready",
"media": {
"asset": {
"id": "string",
"projectId": "string",
"originalFilename": "string",
"defaultAccessibilityText": "string",
"state": "reserved",
"archivedAt": 0,
"deletionRequestedAt": 0,
"deletedAt": 0,
"failureCode": "string",
"failureMessage": "string",
"createdByActorId": "string",
"createdAt": 0,
"updatedAt": 0
},
"representations": [
{
"id": "string",
"projectId": "string",
"assetId": "string",
"kind": "original",
"state": "reserved",
"declaredContentType": "string",
"detectedContentType": "string",
"detectedFormat": "string",
"family": "image",
"byteSize": 0,
"sha256": "string",
"width": 1,
"height": 1,
"durationMs": 0,
"pageCount": 1,
"isAnimated": true,
"processorId": "string",
"processorVersion": "string",
"recipeJson": "string",
"failureCode": "string",
"failureMessage": "string",
"createdAt": 0,
"updatedAt": 0
}
]
}
}